import { post } from "@/api/axios";
async function useHlw(data) {
  const res = await post("hlw", data);
  return res;
}

// 获取用户信息
export async function getCaUserInfo(data) {
  const res = await useHlw({
    type: "getCaUserInfo",
    ...data,
  });
  return res;
}

export async function caAuth(data) {
  const res = await useHlw({
    type: "caAuth",
    ...data,
  });
  return res;
}

export async function getSealImage(data) {
  const res = await useHlw({
    type: "getSealImage",
    ...data,
  });
  return res;
}

export async function closeAutoSign(data) {
  const res = await useHlw({
    type: "closeAutoSign",
    ...data,
  });
  return res;
}

export async function startAutoSign(data) {
  const res = await useHlw({
    type: "startAutoSign",
    ...data,
  });
  return res;
}

export async function autoSignVerifyCA(data) {
  const res = await useHlw({
    type: "autoSignVerifyCA",
    ...data,
  });
  return res;
}
